/**
PyMoneyStats - On-Line Budget Manager

Copyright (C) 2012 Mark Hall

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

$(document).ready(function() {
	$('.button').button();
});

function create_table_cell(data, default_tag) {
	if(data.tag) {
		default_tag = data.tag
	}
	var cell = $('<' + default_tag + '></' + default_tag + '>');
	if(data.text) {
		cell.html(data.text);
	}
	if(data.class_) {
		cell.attr('class', data.class_);
	}
	return cell;
}

function load_analysis_overview_data() {
	  var form = $('#details');
	  var table = $('#results');
	  table.children('thead').empty();
	  table.children('tbody').empty().append('<tr><td>Loading...</td></tr>');
	  $.ajax(form.attr('action'), {
		  data: form.serialize(),
		  type: 'POST'
	  }).success(function(data) {
		  table.children('tbody').empty();
		  var row = $('<tr></tr>');
		  for(var idx = 0; idx < data.columns.length; idx++) {
			  row.append(create_table_cell(data.columns[idx], 'th'));
		  }
		  table.children('thead').append(row);
		  for(var idx = 0; idx < data.rows.length; idx++) {
			  row = $('<tr></tr>');
			  for(var idx2 = 0; idx2 < data.rows[idx].length; idx2++) {
				  row.append(create_table_cell(data.rows[idx][idx2], 'td'));
			  }
			  table.children('tbody').append(row);
		  }
		  if(data.rows.length == 0) {
			  table.children('tbody').append('<tr><td colspan="' + data.columns.length + '">No items found for this selection');
		  }
	  }).error(function() {
          table.children('tbody').empty().append('<tr><td class="ui-state-error">Internal error calculating the detail data.</td></tr>');
	  });
}